geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ga...@apache.org
Subject svn commit: r569453 - in /geronimo/server/trunk: assemblies/geronimo-jetty6-jee5/ assemblies/geronimo-jetty6-jee5/src/main/assembly/ assemblies/geronimo-jetty6-jee5/src/main/resources/bin/ assemblies/geronimo-tomcat6-jee5/ assemblies/geronimo-tomcat6-j...
Date Fri, 24 Aug 2007 16:46:13 GMT
Author: gawor
Date: Fri Aug 24 09:46:12 2007
New Revision: 569453

URL: http://svn.apache.org/viewvc?rev=569453&view=rev
Log:
expose command line client for jaxws-tools

Added:
    geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/resources/bin/
    geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/resources/bin/jaxws-tools.bat
  (with props)
    geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/resources/bin/jaxws-tools.sh
  (with props)
    geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/resources/bin/
    geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/resources/bin/jaxws-tools.bat
  (with props)
    geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/resources/bin/jaxws-tools.sh
  (with props)
Modified:
    geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/pom.xml
    geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/assembly/bin.xml
    geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/pom.xml
    geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/assembly/bin.xml
    geronimo/server/trunk/configs/jaxws-deployer/pom.xml

Modified: geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/pom.xml
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/pom.xml?rev=569453&r1=569452&r2=569453&view=diff
==============================================================================
--- geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/pom.xml (original)
+++ geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/pom.xml Fri Aug 24 09:46:12 2007
@@ -490,6 +490,25 @@
                             <outputDirectory>${project.build.directory}/scratch/schema</outputDirectory>
                         </configuration>
                     </execution>
+
+                    <execution>
+                        <id>install-lib</id>
+                        <phase>compile</phase>
+                        <goals>
+                            <goal>copy</goal>
+                        </goals>
+                        <configuration>
+                            <artifactItems>
+                                <artifactItem>
+                                    <groupId>org.apache.geronimo.modules</groupId>
+                                    <artifactId>geronimo-jaxws-builder</artifactId>
+                                    <version>${version}</version>
+                                </artifactItem>
+                            </artifactItems>
+                            <outputDirectory>${project.build.directory}/classes/lib</outputDirectory>
+                        </configuration>
+                    </execution>
+
                 </executions>
             </plugin>
 

Modified: geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/assembly/bin.xml
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/assembly/bin.xml?rev=569453&r1=569452&r2=569453&view=diff
==============================================================================
--- geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/assembly/bin.xml (original)
+++ geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/assembly/bin.xml Fri Aug
24 09:46:12 2007
@@ -99,6 +99,15 @@
                 <include>org.apache.geronimo.configs:upgrade-cli</include>
             </includes>
         </dependencySet>
+
+        <dependencySet>
+            <outputDirectory>bin</outputDirectory>
+            <outputFileNameMapping>jaxws-tools.jar</outputFileNameMapping>
+            <includes>
+                <include>org.apache.geronimo.configs:jaxws-deployer</include>
+            </includes>
+        </dependencySet>
+
     </dependencySets>
 
     <fileSets>
@@ -164,6 +173,34 @@
             <includes>
                 <include>var/config/config.xml</include>
             </includes>
+        </fileSet>
+
+        <fileSet>
+            <directory>target/classes/lib</directory>
+            <outputDirectory>lib</outputDirectory>
+            <includes>
+                <include>*.jar</include>
+            </includes>
+        </fileSet>
+
+        <fileSet>
+            <directory>src/main/resources/bin</directory>
+            <outputDirectory>bin</outputDirectory>
+            <includes>
+                <include>*.sh</include>
+            </includes>
+            <lineEnding>unix</lineEnding>
+            <fileMode>0755</fileMode>
+        </fileSet>
+        
+        <fileSet>
+            <directory>src/main/resources/bin</directory>
+            <outputDirectory>bin</outputDirectory>
+            <includes>
+                <include>*.bat</include>
+                <include>*.txt</include>
+            </includes>
+            <lineEnding>dos</lineEnding>
         </fileSet>
     </fileSets>
 

Added: geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/resources/bin/jaxws-tools.bat
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/resources/bin/jaxws-tools.bat?rev=569453&view=auto
==============================================================================
--- geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/resources/bin/jaxws-tools.bat
(added)
+++ geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/resources/bin/jaxws-tools.bat
Fri Aug 24 09:46:12 2007
@@ -0,0 +1,177 @@
+@REM
+@REM  Licensed to the Apache Software Foundation (ASF) under one or more
+@REM  contributor license agreements.  See the NOTICE file distributed with
+@REM  this work for additional information regarding copyright ownership.
+@REM  The ASF licenses this file to You under the Apache License, Version 2.0
+@REM  (the "License"); you may not use this file except in compliance with
+@REM  the License.  You may obtain a copy of the License at
+@REM
+@REM      http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM  Unless required by applicable law or agreed to in writing, software
+@REM  distributed under the License is distributed on an "AS IS" BASIS,
+@REM  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+@REM  See the License for the specific language governing permissions and
+@REM  limitations under the License.
+
+@REM --------------------------------------------------------------------
+@REM $Rev: 534454 $ $Date: 2007-05-02 09:39:49 -0400 (Wed, 02 May 2007) $
+@REM --------------------------------------------------------------------
+
+@REM ---------------------------------------------------------------------------
+@REM Deploy batch file for Geronimo
+@REM
+@REM You should not have to edit this file.  If you wish to have
+@REM environment variables set each time you run this batch file
+@REM refer to the information on the setenv.bat file below.
+@REM
+@REM Invocation Syntax:
+@REM
+@REM   deploy [general options] command [command options]
+@REM
+@REM   For detailed usage information, just run deploy without
+@REM   arguments.
+@REM
+@REM Environment Variable Prequisites
+@REM
+@REM   GERONIMO_HOME   May point at your Geronimo top-level directory.
+@REM                   If not specified, this batch file will attempt to
+@REM                   discover it relative to the location of this file.
+@REM
+@REM   GERONIMO_BASE   (Optional) Base directory for resolving dynamic portions
+@REM                   of a Geronimo installation.  If not present, resolves to
+@REM                   the same directory that GERONIMO_HOME points to.
+@REM
+@REM   GERONIMO_OPTS   (Optional) Java runtime options (in addition to
+@REM                   those set in JAVA_OPTS).
+@REM
+@REM   GERONIMO_TMPDIR (Optional) Directory path location of temporary directory
+@REM                   the JVM should use (java.io.tmpdir).  Defaults to
+@REM                   %GERONIMO_BASE%\var\temp.
+@REM
+@REM   JAVA_HOME       Points to your Java Development Kit installation.
+@REM                   JAVA_HOME doesn't need to be set if JRE_HOME is set.
+@REM                   It is mandatory either JAVA_HOME or JRE_HOME are set.
+@REM
+@REM   JRE_HOME        (Optional) Points to your Java Runtime Environment
+@REM                   Set this if you wish to run Geronimo using the JRE
+@REM                   instead of the JDK.
+@REM                   Defaults to JAVA_HOME if empty.
+@REM                   It is mandatory either JAVA_HOME or JRE_HOME are set.
+@REM
+@REM   JAVA_OPTS       (Optional) Java runtime options used.
+@REM                   Also see the GERONIMO_OPTS environment variable.
+@REM
+@REM Troubleshooting execution of this batch file:
+@REM
+@REM   GERONIMO_BATCH_ECHO  (Optional) Environment variable that when set to
+@REM                        "on" results in batch commands being echoed.
+@REM
+@REM   GERONIMO_BATCH_PAUSE (Optional) Environment variable that when set to
+@REM                        "on" results in each batch file to pause at the
+@REM                        end of execution
+@REM
+@REM   GERONIMO_ENV_INFO    (Optional) Environment variable that when set to
+@REM                        "on" (the default) outputs the values of
+@REM                        GERONIMO_HOME, GERONIMO_BASE, GERONIMO_TMPDIR,
+@REM                        JAVA_HOME and JRE_HOME before the command is
+@REM                        issued. Set to "off" if you do not want this
+@REM                        information displayed.
+@REM
+@REM Batch files called by this batch file:
+@REM
+@REM   %GERONIMO_HOME%\bin\setenv.bat
+@REM                   (Optional) This batch file is called if it is present.
+@REM                   Its contents may set one or more of the above environment
+@REM                   variables. It is preferable (to simplify migration to
+@REM                   future Geronimo releases) to set environment variables
+@REM                   in this file rather than modifying Geronimo's batch files.
+@REM
+@REM   %GERONIMO_HOME%\bin\setjavaenv.bat
+@REM                   This batch file is called to set environment variables
+@REM                   relating to the java or jdb exe file to call.
+@REM                   This file should not need to be modified.
+@REM
+@REM Exit Codes:
+@REM
+@REM  0 - Success
+@REM  1 - Error
+@REM ---------------------------------------------------------------------------
+@if "%GERONIMO_BATCH_ECHO%" == "on"  echo on
+@if not "%GERONIMO_BATCH_ECHO%" == "on"  echo off
+
+if "%OS%" == "Windows_NT" goto okOsCheck
+echo Cannot process Geronimo command - you are running an unsupported operating system.
+set ERRORLEVEL=1
+goto end
+
+:okOsCheck
+@setlocal enableextensions
+@set ERRORLEVEL=0
+
+if not "%GERONIMO_HOME%" == "" goto resolveHome
+@REM %~dp0 is expanded pathname of the current script
+set GERONIMO_HOME=%~dp0..
+
+@REM resolve .. and remove any trailing slashes
+:resolveHome
+set CURRENT_DIR=%cd%
+cd /d %GERONIMO_HOME%
+set GERONIMO_HOME=%cd%
+cd /d %CURRENT_DIR%
+
+:gotHome
+if exist "%GERONIMO_HOME%\bin\deploy.bat" goto okHome
+echo The GERONIMO_HOME environment variable is not defined correctly
+echo This environment variable is needed to run this program
+set ERRORLEVEL=1
+goto end
+:okHome
+
+@REM Get standard environment variables
+@REM Users can optionally create this file to set environment variables.
+if exist "%GERONIMO_HOME%\bin\setenv.bat" call "%GERONIMO_HOME%\bin\setenv.bat"
+if not %errorlevel% == 0 goto end
+
+@REM Get standard Java environment variables (based upon Tomcat's setclasspath.bat
+@REM but renamed since Deployer's classpath is set in the JAR manifest)
+if exist "%GERONIMO_HOME%\bin\setjavaenv.bat" goto okSetJavaEnv
+echo Cannot find %GERONIMO_HOME%\bin\setjavaenv.bat
+echo This file is needed to run this program
+set ERRORLEVEL=1
+goto end
+:okSetJavaEnv
+set BASEDIR=%GERONIMO_HOME%
+call "%GERONIMO_HOME%\bin\setJavaEnv.bat"
+if not %errorlevel% == 0 goto end
+
+if not "%GERONIMO_BASE%" == "" goto gotBase
+set GERONIMO_BASE=%GERONIMO_HOME%
+:gotBase
+
+if not "%GERONIMO_TMPDIR%" == "" goto gotTmpdir
+set GERONIMO_TMPDIR=var\temp
+:gotTmpdir
+
+@REM ----- Execute The Requested Command ---------------------------------------
+@if "%GERONIMO_ENV_INFO%" == "off" goto skipEnvInfo
+echo Using GERONIMO_BASE:   %GERONIMO_BASE%
+echo Using GERONIMO_HOME:   %GERONIMO_HOME%
+echo Using GERONIMO_TMPDIR: %GERONIMO_TMPDIR%
+if "%_REQUIRE_JDK%" == "1" echo Using JAVA_HOME:       %JAVA_HOME%
+if "%_REQUIRE_JDK%" == "0" echo Using JRE_HOME:        %JRE_HOME%
+
+:skipEnvInfo
+
+@REM Capture any passed in arguments
+set CMD_LINE_ARGS=%*
+set _JARFILE="%GERONIMO_HOME%"\bin\jaxws-tools.jar
+
+%_RUNJAVA% %JAVA_OPTS% %GERONIMO_OPTS% -Dorg.apache.geronimo.base.dir="%GERONIMO_BASE%" -Djava.io.tmpdir="%GERONIMO_TMPDIR%"
-jar %_JARFILE% %CMD_LINE_ARGS%
+goto end
+
+:end
+echo.
+@REM pause the batch file if GERONIMO_BATCH_PAUSE is set to 'on'
+if "%GERONIMO_BATCH_PAUSE%" == "on" pause
+@endlocal

Propchange: geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/resources/bin/jaxws-tools.bat
------------------------------------------------------------------------------
    svn:eol-style = native

Added: geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/resources/bin/jaxws-tools.sh
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/resources/bin/jaxws-tools.sh?rev=569453&view=auto
==============================================================================
--- geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/resources/bin/jaxws-tools.sh
(added)
+++ geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/resources/bin/jaxws-tools.sh
Fri Aug 24 09:46:12 2007
@@ -0,0 +1,198 @@
+#!/bin/sh
+#
+#  Licensed to the Apache Software Foundation (ASF) under one or more
+#  contributor license agreements.  See the NOTICE file distributed with
+#  this work for additional information regarding copyright ownership.
+#  The ASF licenses this file to You under the Apache License, Version 2.0
+#  (the "License"); you may not use this file except in compliance with
+#  the License.  You may obtain a copy of the License at
+# 
+#      http://www.apache.org/licenses/LICENSE-2.0
+# 
+#   Unless required by applicable law or agreed to in writing, software
+#   distributed under the License is distributed on an "AS IS" BASIS,
+#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#   See the License for the specific language governing permissions and
+#   limitations under the License.
+
+# --------------------------------------------------------------------
+# $Rev: 534454 $ $Date: 2007-05-02 09:39:49 -0400 (Wed, 02 May 2007) $
+# --------------------------------------------------------------------
+
+# -----------------------------------------------------------------------------
+# Deploy Script for the Geronimo Server
+#
+# You should not have to edit this file.  If you wish to have environment
+# variables set each time you run this script refer to the information
+# on the setenv.sh script that is called by this script below. 
+#
+# Invocation Syntax:
+#
+#   deploy.sh [general options] command [command options] 
+#
+#   For detailed command usage information, just run deploy.sh without any 
+#   arguments.
+#
+# Environment Variable Prequisites:
+#
+#   GERONIMO_HOME   (Optional) May point at your Geronimo top-level directory.
+#                   If not specified, it will default to the parent directory
+#                   of the location of this script.
+#
+#   GERONIMO_BASE   (Optional) Base directory for resolving dynamic portions
+#                   of a Geronimo installation.  If not present, resolves to
+#                   the same directory that GERONIMO_HOME points to.
+#
+#   GERONIMO_OPTS   (Optional) Java runtime options.
+#
+#   GERONIMO_TMPDIR (Optional) Directory path location of temporary directory
+#                   the JVM should use (java.io.tmpdir).
+#                   Defaults to $GERONIMO_BASE/var/temp.
+#
+#   JAVA_HOME       Points to your Java Development Kit installation.
+#                   JAVA_HOME doesn't need to be set if JRE_HOME is set.
+#                   It is mandatory either JAVA_HOME or JRE_HOME are set.
+#
+#   JRE_HOME        Points to your Java Runtime Environment installation.
+#                   Set this if you wish to run Geronimo using the JRE 
+#                   instead of the JDK. Defaults to JAVA_HOME if empty.
+#                   It is mandatory either JAVA_HOME or JRE_HOME are set.
+#
+#   JAVA_OPTS       (Optional) Java runtime options.
+#
+# Troubleshooting execution of this script file:
+#
+#  GERONIMO_ENV_INFO    (Optional) Environment variable that when set to
+#                       "on" (the default) outputs the 
+#                       values of GERONIMO_HOME, GERONIMO_BASE, 
+#                       GERONIMO_TMPDIR, JAVA_HOME, JRE_HOME before
+#                       the command is issued. Set to "off" if you
+#                       do want to see this information.
+#
+# Scripts called by this script:
+# 
+#   $GERONIMO_HOME/bin/setenv.sh
+#                   (Optional) This script file is called if it is present.
+#                   Its contents may set one or more of the above environment
+#                   variables.  It is preferable (to simplify migration to
+#                   future Geronimo releases) to set environment variables
+#                   in this file rather than modifying Geronimo's script files.
+#
+#   $GERONIMO_HOME/bin/setjavaenv.sh
+#                   This batch file is called to set environment variables
+#                   relating to the java or jdb executable to invoke.
+#                   This file should not need to be modified.
+#
+# Exit Codes:
+#
+#  0 - Success
+#  1 - Error
+# -----------------------------------------------------------------------------
+
+# OS specific support.  $var _must_ be set to either true or false.
+cygwin=false
+os400=false
+case "`uname`" in
+CYGWIN*) cygwin=true;;
+OS400*) os400=true;;
+esac
+
+# resolve links - $0 may be a softlink
+PRG="$0"
+
+while [ -h "$PRG" ]; do
+  ls=`ls -ld "$PRG"`
+  link=`expr "$ls" : '.*-> \(.*\)$'`
+  if expr "$link" : '/.*' > /dev/null; then
+    PRG="$link"
+  else
+    PRG=`dirname "$PRG"`/"$link"
+  fi
+done
+
+# Get standard environment variables
+PRGDIR=`dirname "$PRG"`
+
+# Only set GERONIMO_HOME if not already set
+[ -z "$GERONIMO_HOME" ] && GERONIMO_HOME=`cd "$PRGDIR/.." ; pwd`
+
+if [ -r "$GERONIMO_HOME"/bin/setenv.sh ]; then
+  . "$GERONIMO_HOME"/bin/setenv.sh
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin; then
+  [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+  [ -n "$JRE_HOME" ] && JRE_HOME=`cygpath --unix "$JRE_HOME"`
+  [ -n "$GERONIMO_HOME" ] && GERONIMO_HOME=`cygpath --unix "$GERONIMO_HOME"`
+  [ -n "$GERONIMO_BASE" ] && GERONIMO_BASE=`cygpath --unix "$GERONIMO_BASE"`
+fi
+
+# For OS400
+if $os400; then
+  # Set job priority to standard for interactive (interactive - 6) by using
+  # the interactive priority - 6, the helper threads that respond to requests
+  # will be running at the same priority as interactive jobs.
+  COMMAND='chgjob job('$JOBNAME') runpty(6)'
+  system $COMMAND
+
+  # Enable multi threading
+  export QIBM_MULTI_THREADED=Y
+fi
+
+# Get standard Java environment variables
+# (based upon Tomcat's setclasspath.sh but renamed since Geronimo's classpath 
+# is set in the JAR manifest)
+if $os400; then
+  # -r will Only work on the os400 if the files are:
+  # 1. owned by the user
+  # 2. owned by the PRIMARY group of the user
+  # this will not work if the user belongs in secondary groups
+  BASEDIR="$GERONIMO_HOME"
+  . "$GERONIMO_HOME"/bin/setjavaenv.sh 
+else
+  if [ -r "$GERONIMO_HOME"/bin/setjavaenv.sh ]; then
+    BASEDIR="$GERONIMO_HOME"
+    . "$GERONIMO_HOME"/bin/setjavaenv.sh
+  else
+    echo "Cannot find $GERONIMO_HOME/bin/setjavaenv.sh"
+    echo "This file is needed to run this program"
+    exit 1
+  fi
+fi
+
+if [ -z "$GERONIMO_BASE" ] ; then
+  GERONIMO_BASE="$GERONIMO_HOME"
+fi
+
+if [ -z "$GERONIMO_TMPDIR" ] ; then
+  # Define the java.io.tmpdir to use for Geronimo
+  GERONIMO_TMPDIR=var/temp
+fi
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+  JAVA_HOME=`cygpath --absolute --windows "$JAVA_HOME"`
+  JRE_HOME=`cygpath --absolute --windows "$JRE_HOME"`
+  GERONIMO_HOME=`cygpath --absolute --windows "$GERONIMO_HOME"`
+  GERONIMO_BASE=`cygpath --absolute --windows "$GERONIMO_BASE"`
+  GERONIMO_TMPDIR=`cygpath --absolute --windows "$GERONIMO_TMPDIR"`
+fi
+
+# ----- Execute The Requested Command -----------------------------------------
+if [ "$GERONIMO_ENV_INFO" != "off" ] ; then
+  echo "Using GERONIMO_BASE:   $GERONIMO_BASE"
+  echo "Using GERONIMO_HOME:   $GERONIMO_HOME"
+  echo "Using GERONIMO_TMPDIR: $GERONIMO_TMPDIR"
+  if [ "$1" = "debug" ] ; then
+    echo "Using JAVA_HOME:       $JAVA_HOME"
+    echo "Using JDB_SRCPATH:     $JDB_SRCPATH"
+  else
+    echo "Using JRE_HOME:        $JRE_HOME"
+  fi
+fi
+
+exec "$_RUNJAVA" $JAVA_OPTS $GERONIMO_OPTS \
+  -Dorg.apache.geronimo.base.dir="$GERONIMO_BASE" \
+  -Djava.io.tmpdir="$GERONIMO_TMPDIR" \
+  -jar "$GERONIMO_HOME"/bin/jaxws-tools.jar "$@" 

Propchange: geronimo/server/trunk/assemblies/geronimo-jetty6-jee5/src/main/resources/bin/jaxws-tools.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Modified: geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/pom.xml
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/pom.xml?rev=569453&r1=569452&r2=569453&view=diff
==============================================================================
--- geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/pom.xml (original)
+++ geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/pom.xml Fri Aug 24 09:46:12 2007
@@ -472,6 +472,25 @@
                             <outputDirectory>${project.build.directory}/scratch/schema</outputDirectory>
                         </configuration>
                     </execution>
+
+                    <execution>
+                        <id>install-lib</id>
+                        <phase>compile</phase>
+                        <goals>
+                            <goal>copy</goal>
+                        </goals>
+                        <configuration>
+                            <artifactItems>
+                                <artifactItem>
+                                    <groupId>org.apache.geronimo.modules</groupId>
+                                    <artifactId>geronimo-jaxws-builder</artifactId>
+                                    <version>${version}</version>
+                                </artifactItem>
+                            </artifactItems>
+                            <outputDirectory>${project.build.directory}/classes/lib</outputDirectory>
+                        </configuration>
+                    </execution>
+
                 </executions>
             </plugin>
 

Modified: geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/assembly/bin.xml
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/assembly/bin.xml?rev=569453&r1=569452&r2=569453&view=diff
==============================================================================
--- geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/assembly/bin.xml (original)
+++ geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/assembly/bin.xml Fri Aug
24 09:46:12 2007
@@ -99,6 +99,15 @@
                 <include>org.apache.geronimo.configs:upgrade-cli</include>
             </includes>
         </dependencySet>
+
+        <dependencySet>
+            <outputDirectory>bin</outputDirectory>
+            <outputFileNameMapping>jaxws-tools.jar</outputFileNameMapping>
+            <includes>
+                <include>org.apache.geronimo.configs:jaxws-deployer</include>
+            </includes>
+        </dependencySet>
+
     </dependencySets>
 
     <fileSets>
@@ -164,6 +173,34 @@
             <includes>
                 <include>var/config/config.xml</include>
             </includes>
+        </fileSet>
+
+        <fileSet>
+            <directory>target/classes/lib</directory>
+            <outputDirectory>lib</outputDirectory>
+            <includes>
+                <include>*.jar</include>
+            </includes>
+        </fileSet>
+
+        <fileSet>
+            <directory>src/main/resources/bin</directory>
+            <outputDirectory>bin</outputDirectory>
+            <includes>
+                <include>*.sh</include>
+            </includes>
+            <lineEnding>unix</lineEnding>
+            <fileMode>0755</fileMode>
+        </fileSet>
+        
+        <fileSet>
+            <directory>src/main/resources/bin</directory>
+            <outputDirectory>bin</outputDirectory>
+            <includes>
+                <include>*.bat</include>
+                <include>*.txt</include>
+            </includes>
+            <lineEnding>dos</lineEnding>
         </fileSet>
     </fileSets>
 

Added: geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/resources/bin/jaxws-tools.bat
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/resources/bin/jaxws-tools.bat?rev=569453&view=auto
==============================================================================
--- geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/resources/bin/jaxws-tools.bat
(added)
+++ geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/resources/bin/jaxws-tools.bat
Fri Aug 24 09:46:12 2007
@@ -0,0 +1,177 @@
+@REM
+@REM  Licensed to the Apache Software Foundation (ASF) under one or more
+@REM  contributor license agreements.  See the NOTICE file distributed with
+@REM  this work for additional information regarding copyright ownership.
+@REM  The ASF licenses this file to You under the Apache License, Version 2.0
+@REM  (the "License"); you may not use this file except in compliance with
+@REM  the License.  You may obtain a copy of the License at
+@REM
+@REM      http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM  Unless required by applicable law or agreed to in writing, software
+@REM  distributed under the License is distributed on an "AS IS" BASIS,
+@REM  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+@REM  See the License for the specific language governing permissions and
+@REM  limitations under the License.
+
+@REM --------------------------------------------------------------------
+@REM $Rev: 534454 $ $Date: 2007-05-02 09:39:49 -0400 (Wed, 02 May 2007) $
+@REM --------------------------------------------------------------------
+
+@REM ---------------------------------------------------------------------------
+@REM Deploy batch file for Geronimo
+@REM
+@REM You should not have to edit this file.  If you wish to have
+@REM environment variables set each time you run this batch file
+@REM refer to the information on the setenv.bat file below.
+@REM
+@REM Invocation Syntax:
+@REM
+@REM   deploy [general options] command [command options]
+@REM
+@REM   For detailed usage information, just run deploy without
+@REM   arguments.
+@REM
+@REM Environment Variable Prequisites
+@REM
+@REM   GERONIMO_HOME   May point at your Geronimo top-level directory.
+@REM                   If not specified, this batch file will attempt to
+@REM                   discover it relative to the location of this file.
+@REM
+@REM   GERONIMO_BASE   (Optional) Base directory for resolving dynamic portions
+@REM                   of a Geronimo installation.  If not present, resolves to
+@REM                   the same directory that GERONIMO_HOME points to.
+@REM
+@REM   GERONIMO_OPTS   (Optional) Java runtime options (in addition to
+@REM                   those set in JAVA_OPTS).
+@REM
+@REM   GERONIMO_TMPDIR (Optional) Directory path location of temporary directory
+@REM                   the JVM should use (java.io.tmpdir).  Defaults to
+@REM                   %GERONIMO_BASE%\var\temp.
+@REM
+@REM   JAVA_HOME       Points to your Java Development Kit installation.
+@REM                   JAVA_HOME doesn't need to be set if JRE_HOME is set.
+@REM                   It is mandatory either JAVA_HOME or JRE_HOME are set.
+@REM
+@REM   JRE_HOME        (Optional) Points to your Java Runtime Environment
+@REM                   Set this if you wish to run Geronimo using the JRE
+@REM                   instead of the JDK.
+@REM                   Defaults to JAVA_HOME if empty.
+@REM                   It is mandatory either JAVA_HOME or JRE_HOME are set.
+@REM
+@REM   JAVA_OPTS       (Optional) Java runtime options used.
+@REM                   Also see the GERONIMO_OPTS environment variable.
+@REM
+@REM Troubleshooting execution of this batch file:
+@REM
+@REM   GERONIMO_BATCH_ECHO  (Optional) Environment variable that when set to
+@REM                        "on" results in batch commands being echoed.
+@REM
+@REM   GERONIMO_BATCH_PAUSE (Optional) Environment variable that when set to
+@REM                        "on" results in each batch file to pause at the
+@REM                        end of execution
+@REM
+@REM   GERONIMO_ENV_INFO    (Optional) Environment variable that when set to
+@REM                        "on" (the default) outputs the values of
+@REM                        GERONIMO_HOME, GERONIMO_BASE, GERONIMO_TMPDIR,
+@REM                        JAVA_HOME and JRE_HOME before the command is
+@REM                        issued. Set to "off" if you do not want this
+@REM                        information displayed.
+@REM
+@REM Batch files called by this batch file:
+@REM
+@REM   %GERONIMO_HOME%\bin\setenv.bat
+@REM                   (Optional) This batch file is called if it is present.
+@REM                   Its contents may set one or more of the above environment
+@REM                   variables. It is preferable (to simplify migration to
+@REM                   future Geronimo releases) to set environment variables
+@REM                   in this file rather than modifying Geronimo's batch files.
+@REM
+@REM   %GERONIMO_HOME%\bin\setjavaenv.bat
+@REM                   This batch file is called to set environment variables
+@REM                   relating to the java or jdb exe file to call.
+@REM                   This file should not need to be modified.
+@REM
+@REM Exit Codes:
+@REM
+@REM  0 - Success
+@REM  1 - Error
+@REM ---------------------------------------------------------------------------
+@if "%GERONIMO_BATCH_ECHO%" == "on"  echo on
+@if not "%GERONIMO_BATCH_ECHO%" == "on"  echo off
+
+if "%OS%" == "Windows_NT" goto okOsCheck
+echo Cannot process Geronimo command - you are running an unsupported operating system.
+set ERRORLEVEL=1
+goto end
+
+:okOsCheck
+@setlocal enableextensions
+@set ERRORLEVEL=0
+
+if not "%GERONIMO_HOME%" == "" goto resolveHome
+@REM %~dp0 is expanded pathname of the current script
+set GERONIMO_HOME=%~dp0..
+
+@REM resolve .. and remove any trailing slashes
+:resolveHome
+set CURRENT_DIR=%cd%
+cd /d %GERONIMO_HOME%
+set GERONIMO_HOME=%cd%
+cd /d %CURRENT_DIR%
+
+:gotHome
+if exist "%GERONIMO_HOME%\bin\deploy.bat" goto okHome
+echo The GERONIMO_HOME environment variable is not defined correctly
+echo This environment variable is needed to run this program
+set ERRORLEVEL=1
+goto end
+:okHome
+
+@REM Get standard environment variables
+@REM Users can optionally create this file to set environment variables.
+if exist "%GERONIMO_HOME%\bin\setenv.bat" call "%GERONIMO_HOME%\bin\setenv.bat"
+if not %errorlevel% == 0 goto end
+
+@REM Get standard Java environment variables (based upon Tomcat's setclasspath.bat
+@REM but renamed since Deployer's classpath is set in the JAR manifest)
+if exist "%GERONIMO_HOME%\bin\setjavaenv.bat" goto okSetJavaEnv
+echo Cannot find %GERONIMO_HOME%\bin\setjavaenv.bat
+echo This file is needed to run this program
+set ERRORLEVEL=1
+goto end
+:okSetJavaEnv
+set BASEDIR=%GERONIMO_HOME%
+call "%GERONIMO_HOME%\bin\setJavaEnv.bat"
+if not %errorlevel% == 0 goto end
+
+if not "%GERONIMO_BASE%" == "" goto gotBase
+set GERONIMO_BASE=%GERONIMO_HOME%
+:gotBase
+
+if not "%GERONIMO_TMPDIR%" == "" goto gotTmpdir
+set GERONIMO_TMPDIR=var\temp
+:gotTmpdir
+
+@REM ----- Execute The Requested Command ---------------------------------------
+@if "%GERONIMO_ENV_INFO%" == "off" goto skipEnvInfo
+echo Using GERONIMO_BASE:   %GERONIMO_BASE%
+echo Using GERONIMO_HOME:   %GERONIMO_HOME%
+echo Using GERONIMO_TMPDIR: %GERONIMO_TMPDIR%
+if "%_REQUIRE_JDK%" == "1" echo Using JAVA_HOME:       %JAVA_HOME%
+if "%_REQUIRE_JDK%" == "0" echo Using JRE_HOME:        %JRE_HOME%
+
+:skipEnvInfo
+
+@REM Capture any passed in arguments
+set CMD_LINE_ARGS=%*
+set _JARFILE="%GERONIMO_HOME%"\bin\jaxws-tools.jar
+
+%_RUNJAVA% %JAVA_OPTS% %GERONIMO_OPTS% -Dorg.apache.geronimo.base.dir="%GERONIMO_BASE%" -Djava.io.tmpdir="%GERONIMO_TMPDIR%"
-jar %_JARFILE% %CMD_LINE_ARGS%
+goto end
+
+:end
+echo.
+@REM pause the batch file if GERONIMO_BATCH_PAUSE is set to 'on'
+if "%GERONIMO_BATCH_PAUSE%" == "on" pause
+@endlocal

Propchange: geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/resources/bin/jaxws-tools.bat
------------------------------------------------------------------------------
    svn:eol-style = native

Added: geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/resources/bin/jaxws-tools.sh
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/resources/bin/jaxws-tools.sh?rev=569453&view=auto
==============================================================================
--- geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/resources/bin/jaxws-tools.sh
(added)
+++ geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/resources/bin/jaxws-tools.sh
Fri Aug 24 09:46:12 2007
@@ -0,0 +1,198 @@
+#!/bin/sh
+#
+#  Licensed to the Apache Software Foundation (ASF) under one or more
+#  contributor license agreements.  See the NOTICE file distributed with
+#  this work for additional information regarding copyright ownership.
+#  The ASF licenses this file to You under the Apache License, Version 2.0
+#  (the "License"); you may not use this file except in compliance with
+#  the License.  You may obtain a copy of the License at
+# 
+#      http://www.apache.org/licenses/LICENSE-2.0
+# 
+#   Unless required by applicable law or agreed to in writing, software
+#   distributed under the License is distributed on an "AS IS" BASIS,
+#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#   See the License for the specific language governing permissions and
+#   limitations under the License.
+
+# --------------------------------------------------------------------
+# $Rev: 534454 $ $Date: 2007-05-02 09:39:49 -0400 (Wed, 02 May 2007) $
+# --------------------------------------------------------------------
+
+# -----------------------------------------------------------------------------
+# Deploy Script for the Geronimo Server
+#
+# You should not have to edit this file.  If you wish to have environment
+# variables set each time you run this script refer to the information
+# on the setenv.sh script that is called by this script below. 
+#
+# Invocation Syntax:
+#
+#   deploy.sh [general options] command [command options] 
+#
+#   For detailed command usage information, just run deploy.sh without any 
+#   arguments.
+#
+# Environment Variable Prequisites:
+#
+#   GERONIMO_HOME   (Optional) May point at your Geronimo top-level directory.
+#                   If not specified, it will default to the parent directory
+#                   of the location of this script.
+#
+#   GERONIMO_BASE   (Optional) Base directory for resolving dynamic portions
+#                   of a Geronimo installation.  If not present, resolves to
+#                   the same directory that GERONIMO_HOME points to.
+#
+#   GERONIMO_OPTS   (Optional) Java runtime options.
+#
+#   GERONIMO_TMPDIR (Optional) Directory path location of temporary directory
+#                   the JVM should use (java.io.tmpdir).
+#                   Defaults to $GERONIMO_BASE/var/temp.
+#
+#   JAVA_HOME       Points to your Java Development Kit installation.
+#                   JAVA_HOME doesn't need to be set if JRE_HOME is set.
+#                   It is mandatory either JAVA_HOME or JRE_HOME are set.
+#
+#   JRE_HOME        Points to your Java Runtime Environment installation.
+#                   Set this if you wish to run Geronimo using the JRE 
+#                   instead of the JDK. Defaults to JAVA_HOME if empty.
+#                   It is mandatory either JAVA_HOME or JRE_HOME are set.
+#
+#   JAVA_OPTS       (Optional) Java runtime options.
+#
+# Troubleshooting execution of this script file:
+#
+#  GERONIMO_ENV_INFO    (Optional) Environment variable that when set to
+#                       "on" (the default) outputs the 
+#                       values of GERONIMO_HOME, GERONIMO_BASE, 
+#                       GERONIMO_TMPDIR, JAVA_HOME, JRE_HOME before
+#                       the command is issued. Set to "off" if you
+#                       do want to see this information.
+#
+# Scripts called by this script:
+# 
+#   $GERONIMO_HOME/bin/setenv.sh
+#                   (Optional) This script file is called if it is present.
+#                   Its contents may set one or more of the above environment
+#                   variables.  It is preferable (to simplify migration to
+#                   future Geronimo releases) to set environment variables
+#                   in this file rather than modifying Geronimo's script files.
+#
+#   $GERONIMO_HOME/bin/setjavaenv.sh
+#                   This batch file is called to set environment variables
+#                   relating to the java or jdb executable to invoke.
+#                   This file should not need to be modified.
+#
+# Exit Codes:
+#
+#  0 - Success
+#  1 - Error
+# -----------------------------------------------------------------------------
+
+# OS specific support.  $var _must_ be set to either true or false.
+cygwin=false
+os400=false
+case "`uname`" in
+CYGWIN*) cygwin=true;;
+OS400*) os400=true;;
+esac
+
+# resolve links - $0 may be a softlink
+PRG="$0"
+
+while [ -h "$PRG" ]; do
+  ls=`ls -ld "$PRG"`
+  link=`expr "$ls" : '.*-> \(.*\)$'`
+  if expr "$link" : '/.*' > /dev/null; then
+    PRG="$link"
+  else
+    PRG=`dirname "$PRG"`/"$link"
+  fi
+done
+
+# Get standard environment variables
+PRGDIR=`dirname "$PRG"`
+
+# Only set GERONIMO_HOME if not already set
+[ -z "$GERONIMO_HOME" ] && GERONIMO_HOME=`cd "$PRGDIR/.." ; pwd`
+
+if [ -r "$GERONIMO_HOME"/bin/setenv.sh ]; then
+  . "$GERONIMO_HOME"/bin/setenv.sh
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin; then
+  [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+  [ -n "$JRE_HOME" ] && JRE_HOME=`cygpath --unix "$JRE_HOME"`
+  [ -n "$GERONIMO_HOME" ] && GERONIMO_HOME=`cygpath --unix "$GERONIMO_HOME"`
+  [ -n "$GERONIMO_BASE" ] && GERONIMO_BASE=`cygpath --unix "$GERONIMO_BASE"`
+fi
+
+# For OS400
+if $os400; then
+  # Set job priority to standard for interactive (interactive - 6) by using
+  # the interactive priority - 6, the helper threads that respond to requests
+  # will be running at the same priority as interactive jobs.
+  COMMAND='chgjob job('$JOBNAME') runpty(6)'
+  system $COMMAND
+
+  # Enable multi threading
+  export QIBM_MULTI_THREADED=Y
+fi
+
+# Get standard Java environment variables
+# (based upon Tomcat's setclasspath.sh but renamed since Geronimo's classpath 
+# is set in the JAR manifest)
+if $os400; then
+  # -r will Only work on the os400 if the files are:
+  # 1. owned by the user
+  # 2. owned by the PRIMARY group of the user
+  # this will not work if the user belongs in secondary groups
+  BASEDIR="$GERONIMO_HOME"
+  . "$GERONIMO_HOME"/bin/setjavaenv.sh 
+else
+  if [ -r "$GERONIMO_HOME"/bin/setjavaenv.sh ]; then
+    BASEDIR="$GERONIMO_HOME"
+    . "$GERONIMO_HOME"/bin/setjavaenv.sh
+  else
+    echo "Cannot find $GERONIMO_HOME/bin/setjavaenv.sh"
+    echo "This file is needed to run this program"
+    exit 1
+  fi
+fi
+
+if [ -z "$GERONIMO_BASE" ] ; then
+  GERONIMO_BASE="$GERONIMO_HOME"
+fi
+
+if [ -z "$GERONIMO_TMPDIR" ] ; then
+  # Define the java.io.tmpdir to use for Geronimo
+  GERONIMO_TMPDIR=var/temp
+fi
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+  JAVA_HOME=`cygpath --absolute --windows "$JAVA_HOME"`
+  JRE_HOME=`cygpath --absolute --windows "$JRE_HOME"`
+  GERONIMO_HOME=`cygpath --absolute --windows "$GERONIMO_HOME"`
+  GERONIMO_BASE=`cygpath --absolute --windows "$GERONIMO_BASE"`
+  GERONIMO_TMPDIR=`cygpath --absolute --windows "$GERONIMO_TMPDIR"`
+fi
+
+# ----- Execute The Requested Command -----------------------------------------
+if [ "$GERONIMO_ENV_INFO" != "off" ] ; then
+  echo "Using GERONIMO_BASE:   $GERONIMO_BASE"
+  echo "Using GERONIMO_HOME:   $GERONIMO_HOME"
+  echo "Using GERONIMO_TMPDIR: $GERONIMO_TMPDIR"
+  if [ "$1" = "debug" ] ; then
+    echo "Using JAVA_HOME:       $JAVA_HOME"
+    echo "Using JDB_SRCPATH:     $JDB_SRCPATH"
+  else
+    echo "Using JRE_HOME:        $JRE_HOME"
+  fi
+fi
+
+exec "$_RUNJAVA" $JAVA_OPTS $GERONIMO_OPTS \
+  -Dorg.apache.geronimo.base.dir="$GERONIMO_BASE" \
+  -Djava.io.tmpdir="$GERONIMO_TMPDIR" \
+  -jar "$GERONIMO_HOME"/bin/jaxws-tools.jar "$@" 

Propchange: geronimo/server/trunk/assemblies/geronimo-tomcat6-jee5/src/main/resources/bin/jaxws-tools.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Modified: geronimo/server/trunk/configs/jaxws-deployer/pom.xml
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/configs/jaxws-deployer/pom.xml?rev=569453&r1=569452&r2=569453&view=diff
==============================================================================
--- geronimo/server/trunk/configs/jaxws-deployer/pom.xml (original)
+++ geronimo/server/trunk/configs/jaxws-deployer/pom.xml Fri Aug 24 09:46:12 2007
@@ -70,4 +70,53 @@
         
     </dependencies>
     
+    <build>
+        <plugins>
+            <plugin>
+                <groupId>org.apache.geronimo.plugins</groupId>
+                <artifactId>car-maven-plugin</artifactId>
+                <configuration>
+                    <archive>
+                        <manifestEntries>
+                            <Endorsed-Dirs>lib/endorsed</Endorsed-Dirs>
+                            <Extension-Dirs>lib/ext</Extension-Dirs>
+                        </manifestEntries>
+                        <manifest>
+                            <mainClass>org.apache.geronimo.jaxws.builder.JAXWSToolsCLI</mainClass>
+                        </manifest>
+                    </archive>
+                    
+                    <!--
+                    NOTE: This list of dependencies is non-transitive.
+                    -->
+                    <classpath>
+                        <element>
+                            <groupId>org.apache.geronimo.modules</groupId>
+                            <artifactId>geronimo-kernel</artifactId>
+                            <version>${version}</version>
+                        </element>
+                        <element>
+                            <groupId>org.apache.geronimo.modules</groupId>
+                            <artifactId>geronimo-jaxws-builder</artifactId>
+                            <version>${version}</version>
+                        </element>
+                        <element>
+                            <groupId>commons-logging</groupId>
+                            <artifactId>commons-logging</artifactId>
+                        </element>
+                        <element>
+                            <groupId>cglib</groupId>
+                            <artifactId>cglib-nodep</artifactId>
+                        </element>
+                        <element>
+                            <groupId>log4j</groupId>
+                            <artifactId>log4j</artifactId>
+                        </element>
+                    </classpath>
+                    <classpathPrefix>../lib</classpathPrefix>
+                </configuration>
+            </plugin>
+        </plugins>
+    </build>
+
 </project>



Mime
View raw message